Bug 42731 - [IVB] The whole monitor connected to DP port is black screen while hotplugin VGA
[IVB] The whole monitor connected to DP port is black screen while hotplugin VGA
Status: VERIFIED FIXED
Product: DRI
Classification: Unclassified
Component: DRM/Intel
unspecified
Other All
: high major
Assigned To: Jesse Barnes
:
Depends on:
Blocks: 42991 44622
  Show dependency treegraph
 
Reported: 2011-11-08 23:24 UTC by Guang Yang
Modified: 2012-02-13 01:22 UTC (History)
5 users (show)

See Also:
i915 platform:
i915 features:


Attachments
dmesg.txt is the bug's dmesg information (122.70 KB, text/plain)
2011-11-08 23:24 UTC, Guang Yang
no flags Details
fixup dp bpc calculations (3.32 KB, patch)
2012-01-26 03:43 UTC, Daniel Vetter
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Guang Yang 2011-11-08 23:24:51 UTC
Created attachment 53312 [details]
dmesg.txt is the bug's dmesg information

System Environment:
-------------------
Platform: IvyBridge (Chief River)

The Linux Kernel, the operating system core itself
Kernel: (master)c3b92c8787367a8bb53d57d9789b558f1295cc96
Some additional commit info:
Author: Linus Torvalds <torvalds@linux-foundation.org>
Date:   Mon Oct 24 09:10:05 2011 +0200   

Bug Description:
--------------------
    While we unable the LVDS and boot with monitor connnect to DP,then we plugin VGA port,the two screen can display normally,but if we unplug the VGA monitor, the DP monitor turns to be black. And two errors 
"[drm:pch_irq_handler] *ERROR* PCH poison interrupt" and
"[drm:intel_disable_transcoder] *ERROR* failed to disable transcoder"
always appears in the terminal .
   BTW,if we boot with VGA monitor and plugin and out DP port servel times,the VGA monitor always can display normally.
Comment 1 Gordon Jin 2011-12-19 19:38:01 UTC
Could any developer reproduce this?
Comment 2 Guang Yang 2011-12-21 01:56:12 UTC
I have try with kernel 3.2 rc6,the issue still occurs.
Comment 3 Jesse Barnes 2012-01-11 10:57:17 UTC
Does this happen with drm-intel-next or ivb-3-pipe?
Comment 4 Guang Yang 2012-01-11 18:22:26 UTC
(In reply to comment #3)
> Does this happen with drm-intel-next or ivb-3-pipe?
It still happens with the latest drm-intel-next.
Comment 5 Daniel Vetter 2012-01-26 03:43:25 UTC
Created attachment 56175 [details] [review]
fixup dp bpc calculations

Can you please try this patch?
Comment 6 Guang Yang 2012-02-13 01:11:48 UTC
(In reply to comment #5)
> Created attachment 56175 [details] [review] [review]
> fixup dp bpc calculations
> Can you please try this patch?

I have try this patch with testing branch,the issue don't exists.
Comment 7 Daniel Vetter 2012-02-13 01:17:20 UTC
Closing as fixed. Please verify or reopen, thanks.